## net.i2p.util
Class Log

    java.lang.Object
      net.i2p.util.Log

    public class Log

extends java.lang.Object

Wrapper class for whatever logging system I2P uses. This class should be instantiated and kept as a variable for each class it is used by, ala: `private final static Log _log = new Log(MyClassName.class);` If there is anything in here that doesn't make sense, turn off your computer and go fly a kite.

Author:
  jrandom

Field Summary
`static int` `CRIT`
`static int` `DEBUG`
`static int` `ERROR`
`static int` `INFO`
`static java.lang.String` `STR_CRIT`
`static java.lang.String` `STR_DEBUG`
`static java.lang.String` `STR_ERROR`
`static java.lang.String` `STR_INFO`
`static java.lang.String` `STR_WARN`
`static int` `WARN`

Constructor Summary
`Log(java.lang.Class cls)`
`Log(LogManager manager, java.lang.Class cls)`
`Log(LogManager manager, java.lang.Class cls, java.lang.String name)`
`Log(LogManager manager, java.lang.String name)`
`Log(java.lang.String name)`

Method Summary
`void` `debug(java.lang.String msg)`
`void` `debug(java.lang.String msg, java.lang.Throwable t)`
`void` `error(java.lang.String msg)`
`void` `error(java.lang.String msg, java.lang.Throwable t)`
`static int` `getLevel(java.lang.String level)`
`int` `getMinimumPriority()`
`java.lang.String` `getName()`
`java.lang.Object` `getScope()`
`(package private) static java.lang.String` `getScope(java.lang.String name, java.lang.Class cls)`
`void` `info(java.lang.String msg)`
`void` `info(java.lang.String msg, java.lang.Throwable t)`
`void` `log(int priority, java.lang.String msg)`
`void` `log(int priority, java.lang.String msg, java.lang.Throwable t)`
`void` `setMinimumPriority(int priority)`
`boolean` `shouldLog(int priority)`
`static java.lang.String` `toLevelString(int level)`
`void` `warn(java.lang.String msg)`
`void` `warn(java.lang.String msg, java.lang.Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final int DEBUG

See Also:
  Constant Field Values

### INFO

    public static final int INFO

See Also:
  Constant Field Values

### WARN

    public static final int WARN

See Also:
  Constant Field Values

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### CRIT

    public static final int CRIT

See Also:
  Constant Field Values

### STR_DEBUG

    public static final java.lang.String STR_DEBUG

See Also:
  Constant Field Values

### STR_INFO

    public static final java.lang.String STR_INFO

See Also:
  Constant Field Values

### STR_WARN

    public static final java.lang.String STR_WARN

See Also:
  Constant Field Values

### STR_ERROR

    public static final java.lang.String STR_ERROR

See Also:
  Constant Field Values

### STR_CRIT

    public static final java.lang.String STR_CRIT

See Also:
  Constant Field Values

Constructor Detail

### Log

    public Log(java.lang.Class cls)

### Log

    public Log(java.lang.String name)

### Log

    Log(LogManager manager,
        java.lang.Class cls)

### Log

    Log(LogManager manager,
        java.lang.String name)

### Log

    Log(LogManager manager,
        java.lang.Class cls,
        java.lang.String name)

Method Detail

### getLevel

    public static int getLevel(java.lang.String level)

### toLevelString

    public static java.lang.String toLevelString(int level)

### log

    public void log(int priority,
                    java.lang.String msg)

### log

    public void log(int priority,
                    java.lang.String msg,
                    java.lang.Throwable t)

### debug

    public void debug(java.lang.String msg)

### debug

    public void debug(java.lang.String msg,
                      java.lang.Throwable t)

### info

    public void info(java.lang.String msg)

### info

    public void info(java.lang.String msg,
                     java.lang.Throwable t)

### warn

    public void warn(java.lang.String msg)

### warn

    public void warn(java.lang.String msg,
                     java.lang.Throwable t)

### error

    public void error(java.lang.String msg)

### error

    public void error(java.lang.String msg,
                      java.lang.Throwable t)

### getMinimumPriority

    public int getMinimumPriority()

### setMinimumPriority

    public void setMinimumPriority(int priority)

### shouldLog

    public boolean shouldLog(int priority)

### getName

    public java.lang.String getName()

### getScope

    public java.lang.Object getScope()

### getScope

    static java.lang.String getScope(java.lang.String name,
                                     java.lang.Class cls)